Cyberduck Mountain Duck CLI

#7158 closed defect (worksforme)

Null pointer validating certificate

Reported by: digideth Owned by: yla
Priority: normal Milestone: 4.3
Component: ftp-tls Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows XP

Description

recently yahoo web hosting pushed everyone to ftps and the latest version of cyberduck 4.2.2 can't connect anymore.

I had an older version installed earlier tonight that was able to connect, i think it was 4.2.1 or maybe lower.

any ways the issue is yahoo ftps for my site has a bad ssl certificate that the older version of cyberduck was able to by pass it by manual saying the certificate was fine please proceed with the connection.

now with 4.2.2 I get this in my error window.

see screenshot 1 attached

now i can switch back to ftp and cyberduck will say the server will want me to connect by ftps. then cyberduck will ask if i want to continue with ftp connect (which fails) or change to ftps. when i click change i get a new error window.

see screenshot 2 attached

Attachments (2)

Screenshot1.jpg (26.7 KB) - added by digideth on Apr 10, 2013 at 1:51:19 AM.
screenshot1 of error window
Screenshot2.jpg (39.6 KB) - added by digideth on Apr 10, 2013 at 1:52:27 AM.
screenshot2 of error window

Download all attachments as: .zip

Change History (13)

Changed on Apr 10, 2013 at 1:51:19 AM by digideth

screenshot1 of error window

Changed on Apr 10, 2013 at 1:52:27 AM by digideth

screenshot2 of error window

comment:1 Changed on Apr 10, 2013 at 9:39:44 AM by dkocher

  • Milestone set to 4.3

comment:2 Changed on Apr 10, 2013 at 12:33:44 PM by dkocher

Can you please post the content of cyberduck.log in the AppData directory.

comment:3 Changed on Apr 11, 2013 at 4:30:49 AM by digideth

here you go:

2013-04-08 22:44:28,000 [background-7] ERROR ch.cyberduck.core.ftp.FTPSession - Connection attempt canceled
2013-04-08 22:58:37,093 [background-3] FATAL ch.cyberduck.core.ProtocolFactory - Unknown protocol with identifier dropbox
2013-04-08 22:58:37,125 [background-2] FATAL ch.cyberduck.core.ProtocolFactory - Unknown protocol with identifier dropbox
2013-04-08 23:20:39,625 [background-2] FATAL ch.cyberduck.core.ProtocolFactory - Unknown protocol with identifier dropbox
2013-04-08 23:22:37,421 [background-6] ERROR ch.cyberduck.core.ftp.FTPSession - Error closing connection: Connection attempt canceled
2013-04-08 23:22:50,593 [background-6] ERROR ch.cyberduck.core.ftp.FTPSession - Error closing connection: Connection attempt canceled
2013-04-09 00:14:09,984 [background-7] ERROR ch.cyberduck.core.ftp.FTPSession - Error closing connection: Connection attempt canceled

need any thing else? here to help!

Last edited on Apr 11, 2013 at 9:51:49 AM by dkocher (previous) (diff)

comment:4 Changed on Apr 11, 2013 at 9:51:38 AM by dkocher

  • Component changed from core to ftp-tls
  • Owner changed from digideth to yla
  • Summary changed from ftps & yahoo web hosting SSL issue to Null pointer validating certificate

comment:5 follow-up: Changed on Apr 18, 2013 at 1:03:42 PM by dkocher

Can you please post the hostname you are connecting to so we can try to replicate this issue (We do not need any login credentials).

comment:6 follow-up: Changed on Apr 18, 2013 at 1:03:48 PM by dkocher

Please update to the latest snapshot build available.

comment:7 in reply to: ↑ 5 Changed on Apr 19, 2013 at 7:46:51 AM by digideth

Replying to dkocher:

Can you please post the hostname you are connecting to so we can try to replicate this issue (We do not need any login credentials).

ftp.momuleskinners.org which changed to ftps.momuleskinners.org

comment:8 in reply to: ↑ 6 ; follow-up: Changed on Apr 19, 2013 at 8:05:22 AM by digideth

Replying to dkocher:

Please update to the latest snapshot build available.

Here is a screenshot of my version upgrade: http://i.imgur.com/ZbY2cyZ.png

Problem is still there...

comment:9 in reply to: ↑ 8 ; follow-up: Changed on Apr 19, 2013 at 3:21:09 PM by dkocher

Replying to digideth:

Problem is still there...

Have you updated to the 4.3 snapshot build? We cannot replicate the issue with this build connecting to ftp.momuleskinners.org using FTP-TLS.

comment:10 in reply to: ↑ 9 Changed on Apr 19, 2013 at 5:45:26 PM by digideth

Replying to dkocher:

Replying to digideth:

Problem is still there...

Have you updated to the 4.3 snapshot build? We cannot replicate the issue with this build connecting to ftp.momuleskinners.org using FTP-TLS.

What I tested last night and showed in the screenshot above was snapshot build 4.3.10877.exe Which didn't work.

I see you have a new snapshot build 4.3.10882.exe that I will try tonight.

comment:11 Changed on Apr 22, 2013 at 4:19:05 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.